| Home | Libraries | People | FAQ | More

##### static_url_base::compare

(Inherited from `url_view_base`)

Return the result of comparing this with another url.

###### Synopsis

    int
    compare(
        url_view_base const& other) const;

###### Description

This function compares two URLs according to Syntax-Based comparison algorithm.

###### Complexity

Linear in `min( u0.size(), u1.size() )`

###### Exception Safety

Throws nothing.

###### Specification

- 6.2.2 Syntax-Based Normalization (rfc3986)

###### Return Value

-1 if `*this < other`, 0 if `this == other`, and 1 if `this > other`.